org.gradle.tooling.model.eclipse

## Interface EclipseSourceDirectory

- All Superinterfaces:
    SourceDirectory

      public interface EclipseSourceDirectory
      extends SourceDirectory

  A source directory in an Eclipse project.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Returns the relative path for this source directory.

    - ### Methods inherited from interface org.gradle.tooling.model.SourceDirectory

      `getDirectory`

- - ### Method Detail

    - #### getPath

          String getPath()

      Returns the relative path for this source directory.
      Returns:
        The path for this source directory. Does not return null.